Package com.collibra.dgc.core.api.dto.workflow

# Class AddAssetTypeAssignmentRuleRequest.Builder

Object
Builder

Enclosing class:
  `AddAssetTypeAssignmentRuleRequest`

public static final class AddAssetTypeAssignmentRuleRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddAssetTypeAssignmentRuleRequest.Builder`
  `assetTypeId(UUID assetTypeId)`
  Required. The ID of the asset type the added rule should refer to.
  `AddAssetTypeAssignmentRuleRequest`
  `build()`
  `AddAssetTypeAssignmentRuleRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `AddAssetTypeAssignmentRuleRequest.Builder`
  `communityId(UUID communityId)`
  The ID of the community the assignment rule should apply for.
  `AddAssetTypeAssignmentRuleRequest.Builder`
  `domainId(UUID domainId)`
  The ID of the domain the assignment rule should apply for.
  `AddAssetTypeAssignmentRuleRequest.Builder`
  `exactResourceTypeMatch(boolean exactResourceTypeMatch)`
  When true, the workflow can only be started for an asset if its type matches exactly the asset type defined in this rule.
  `AddAssetTypeAssignmentRuleRequest.Builder`
  `statusId(UUID statusId)`
  The ID of the status the assignment rule should apply for.
  `String`
  `toString()`
  `AddAssetTypeAssignmentRuleRequest.Builder`
  `workflowDefinitionId(UUID workflowDefinitionId)`
  Required. The ID of the workflow definition containing the assignment rule to be added.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public AddAssetTypeAssignmentRuleRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `AddAssetTypeAssignmentRuleRequest.builder()`
    Clone method for this Builder.

  - ### workflowDefinitionId

    public AddAssetTypeAssignmentRuleRequest.Builder workflowDefinitionId(UUID workflowDefinitionId)
    Required. The ID of the workflow definition containing the assignment rule to be added.
    Returns:
      `this`.

  - ### assetTypeId

    public AddAssetTypeAssignmentRuleRequest.Builder assetTypeId(UUID assetTypeId)
    Required. The ID of the asset type the added rule should refer to.
    Returns:
      `this`.

  - ### domainId

    public AddAssetTypeAssignmentRuleRequest.Builder domainId(UUID domainId)
    The ID of the domain the assignment rule should apply for.
    Returns:
      `this`.

  - ### communityId

    public AddAssetTypeAssignmentRuleRequest.Builder communityId(UUID communityId)
    The ID of the community the assignment rule should apply for.
    Returns:
      `this`.

  - ### statusId

    public AddAssetTypeAssignmentRuleRequest.Builder statusId(UUID statusId)
    The ID of the status the assignment rule should apply for.
    Returns:
      `this`.

  - ### exactResourceTypeMatch

    public AddAssetTypeAssignmentRuleRequest.Builder exactResourceTypeMatch(boolean exactResourceTypeMatch)
    When true, the workflow can only be started for an asset if its type matches exactly the asset type defined in this rule. Child asset types are excluded.
    Returns:
      `this`.

  - ### build

    public AddAssetTypeAssignmentRuleRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`